closures = []
for(i in 1..3) {
  closures << { -> println "The value is $i" }
}

closures.each { it() }

//One of the dangers of mixing functional and mutable state.
//Now try with

//closures = []
//3.times { i ->
//  closures << { -> println "The value is $i" }
//}
//
//closures.each { it() }
